summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--multimedia/mozplugger/README7
-rw-r--r--multimedia/mozplugger/doinst.sh14
-rw-r--r--multimedia/mozplugger/mozplugger.SlackBuild94
-rw-r--r--multimedia/mozplugger/mozplugger.info10
-rw-r--r--multimedia/mozplugger/slack-desc19
5 files changed, 144 insertions, 0 deletions
diff --git a/multimedia/mozplugger/README b/multimedia/mozplugger/README
new file mode 100644
index 0000000000..74cb5218da
--- /dev/null
+++ b/multimedia/mozplugger/README
@@ -0,0 +1,7 @@
+mozplugger
+
+The goal of the project is to provide a minimalist, clean and
+stable general purpose Mozilla plugin module that allows the
+user to embed and launch their favourite application to handle
+the various different types of media found on the Internet.
+
diff --git a/multimedia/mozplugger/doinst.sh b/multimedia/mozplugger/doinst.sh
new file mode 100644
index 0000000000..6122924a10
--- /dev/null
+++ b/multimedia/mozplugger/doinst.sh
@@ -0,0 +1,14 @@
+# Handle configuration files
+config() {
+ NEW="$1"
+ OLD="`dirname $NEW`/`basename $NEW .new`"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+# List of configuration files (they should end in .new)
+config etc/mozpluggerrc.new
diff --git a/multimedia/mozplugger/mozplugger.SlackBuild b/multimedia/mozplugger/mozplugger.SlackBuild
new file mode 100644
index 0000000000..c41268086b
--- /dev/null
+++ b/multimedia/mozplugger/mozplugger.SlackBuild
@@ -0,0 +1,94 @@
+#!/bin/sh
+
+# Slackware build script for mozplugger
+
+# Copyright (c) jue oct 15 18:27:01 CST 2009, Dhaby Xiloj <slack.dhabyx@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are met:
+# 1.- Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY
+# EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
+# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
+# DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY
+# DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
+# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
+# LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
+# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=mozplugger
+VERSION=${VERSION:-1.13.0}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCS="COPYING ChangeLog README"
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+RPM_OPT_FLAGS="$SLKCFLAGS" \
+make linux libprefix=/lib${LIBDIRSUFFIX}
+make install libprefix=/lib${LIBDIRSUFFIX} root=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+)
+
+# relocating files
+mv $PKG/usr/share/man $PKG/usr/man
+rm -Rf $PKG/usr/share
+mv $PKG/etc/mozpluggerrc $PKG/etc/mozpluggerrc.new
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -ar $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+
diff --git a/multimedia/mozplugger/mozplugger.info b/multimedia/mozplugger/mozplugger.info
new file mode 100644
index 0000000000..7de8b38972
--- /dev/null
+++ b/multimedia/mozplugger/mozplugger.info
@@ -0,0 +1,10 @@
+PRGNAM="mozplugger"
+VERSION="1.13.0"
+HOMEPAGE="http://mozplugger.mozdev.org/"
+DOWNLOAD="http://mozplugger.mozdev.org/files/mozplugger-1.13.0.tar.gz"
+MD5SUM="dfa557fb331240ae7778e17a92caeb9c"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="dhabyx"
+EMAIL="slack.dhabyx@gmail.com"
+APPROVED="dsomero"
diff --git a/multimedia/mozplugger/slack-desc b/multimedia/mozplugger/slack-desc
new file mode 100644
index 0000000000..52fde3e8c6
--- /dev/null
+++ b/multimedia/mozplugger/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler----------------------------------------------------|
+mozplugger: mozplugger (Mozilla media plugin)
+mozplugger:
+mozplugger: The goal of the project is to provide a minimalist, clean and
+mozplugger: stable general purpose Mozilla plugin module that allows the
+mozplugger: user to embed and launch their favourite application to handle
+mozplugger: the various different types of media found on the Internet.
+mozplugger:
+mozplugger:
+mozplugger: Homepage: http://mozplugger.mozdev.org/
+mozplugger:
+mozplugger: